
(function($){

    $(document).ready(function() 
    {
        //Masonry
        var filter = $('.offer-list .offers');
        filter.imagesLoaded( function() {
            filter.isotope({
                columnWidth: 4,
                itemSelector: '.offer'
            });
        });
        
        //More content
        $( '.more-content' ).ipbe_more_content({
            ajaxUrl:        ajax_url+'?doajax=1&ipprof=1&action=ipprof_getmore',
            loaderImgUrl:   root_url+'img/spin.gif',
            loaderText:     'Load more offers ...',
            getAjaxData:    function( data )
            {
                data += '&page_id=' + page_id;
                return data;
            },
            showMoreContent: function( result )
            {
                filter.data('isotope', null)
                      .append( result );
                
                filter.imagesLoaded( function() {
                    filter.isotope({
                        columnWidth: 4,
                        itemSelector: '.offer'
                    });
                });
            }
        });
        
        //Save click
        $( '.offer-button .btn' ).click( function()
        {
            var href = $(this).attr( 'href' );
            var neww = false;
            if ( $(this).attr( 'target' ) == '_blank' ) {
                neww = true;
            }
            $.ajax({
                url: ajax_url+'?doajax=1&ipprof=1&action=ipprof_savestat',
                type: "POST",
                data: 'page_id='+page_id+'&type=click',
                dataType: "json",
                success: function ( result ) {
                    if ( ! neww ) {
                        window.location.href = href;
                    }
                }
            });
            if ( ! neww ) {
                return false;
            } else {
                return true;
            }
        });
    });
    
})(jQuery);